Skip to content

get_app_v2_user_walletaddress_getwalletaddress

GET
/api/v2/user/wallet-address
address
required
string

The wallet address to query.

Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag
string

The destination tag or memo to query.

Example
12345
destination_tag
string

Returns the user’s wallet address book.

object
currency

The currency.

string
Example
BTC
address

The address.

string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.

string|integer
default: [object Object] nullable
Example
{
"default": "ABC1234",
"XRP": 12341
}
name

A descriptive name.

string
Example
My BTC wallet 1
status
string
Allowed values: open pending disabled verified rejected
walletType
One of:
string
Allowed values: vasp unhosted
verificationStatus
One of:
string
Allowed values: required travel_rule_required
id

The id.

integer
Example
189632

User wallet address book not found.